/*
 * MontyCandidate.java
 * This codes is released under Gnu General Public License (GPL)
 *
 * Created on 09 December 2004
 */

package net.unverkaeuflich.feuerhake.montyhall;

/**
 * This class models the candidate at montys show
 * @author  joerg
 */
import net.unverkaeuflich.feuerhake.montyhall.util.RandomHelper;


public class MontyCandidate {
    private int doorChosen = -1;
    private int doorChosenAgain = -1;
    private boolean won;
    
    /** Creates a new instance of MontyCandidate */
    public MontyCandidate() {
        chooseDoor();
        chooseDoorAgain();
    }
    /**
     * this method chooses a random number the first time
     */
    private void chooseDoor(){
        doorChosen = RandomHelper.getRandomNumber(3);
        return;
    }
    /**
     * this method chooses a random number the second time, after monty opened
     */
    private void chooseDoorAgain(){
        doorChosenAgain = RandomHelper.getRandomNumber(2);
        return;
    }
    /**
     * This method switches strategies. It changes the doors after monty opened one door
     */
    public void changeDoors(int newValue){
        if(0 != newValue && 0 != doorChosen)
        {doorChosen = 0;
         return;};
         if(1 != newValue && 1 != doorChosen)
         {doorChosen = 1;
          return;};
          if(2 != newValue && 2 != doorChosen)
          {doorChosen = 2;
           return;};
           //every thing o.k.?
           if(newValue == doorChosen)
               System.out.println("DEBUG::Monty opened wrong door");
           return;
    }
    /**
     * This method chooses the door the second time, provided the player
     * goes for 50-50
     */
    public void changeDoorsRand(int newValue){
        int[] ia = new int[2];
        int j = 0;
        for(int i=0; i<3; i++){
            if(i != newValue){
                ia[j] = i;
                j++;
            };
        };
        
        doorChosen = ia[doorChosenAgain];
        return;
    }
    
    public void setWon(boolean newValue){
        won = newValue;
        return;
    }
    public boolean getWon(){
        return won;
    }
    
    public int getDoorChosen(){
        return doorChosen;
    }
    
}
