/*
 * MontyDoors.java
 *
 * This codes is released under Gnu General Public License (GPL)
*
 * Created on 09 December 2004
 */

package net.unverkaeuflich.feuerhake.montyhall;

/**
 * this class models Montys doors
 * @author  joerg.feurhake@free-penguin.org
 */
import net.unverkaeuflich.feuerhake.montyhall.util.RandomHelper;

public class MontyDoors {
    
    /**
     * string array, represents doors
     */
    private String[] doors = new String[3];
    private final String goat = "Goat";
    private final String car = "Car";
    private int carDoor = -1;
    /** Creates a new instance of MontyDoors */
    public MontyDoors() {
        shuffleDoors();
    }
    /**
     * this method shuffles goats and car
     */
    private void shuffleDoors(){
        carDoor = RandomHelper.getRandomNumber(3);
        for(int i=0; i < doors.length; i++){
          doors[i] = goat;
        }
        doors[carDoor] = car;
    return;
    };
    /**
     * method return the doors array
     */
    public String[] getDoors(){
     return doors;
    };
    /**
     * method returns the i#th door
     */
    public String getDoors(int i){
     return doors[i];
    }
    /**
     *this method returns the winning door. Monty calls it.
     */
    public int getCarDoor(){
     return carDoor;
    }
}
